# Project Title

Free Guacamole for your Server Farm - Part II

## Getting Started

These instructions capture the essential commands used with the sample files provided here.
Visit https://github.com/krwittmer/fresh-guacamole for additional details and resources.

### Prerequisites

Docker command line tooling
docker-compose tooling
nginx (is suggested, for local testing & vertification)

### Installing Guacamole using Docker and docker-compose tooling

Use the plain script roll-now.sh to build a custom Docker image for Nginx.  Prior to executing this script, 
be sure to execute script generate-key-and-ss_cert to generate the necessary crypto files.
Download the Docker images as outlined in the article.

### Running Guacamole via docker-compose

Run docker-compose using the up argument.

```
docker-compose up -d
sleep 1
docker ps -a
```

To stop, specify the following:

```
docker-compose down 
```
