
// lcm.c
/* Square two integers and then find the LCM
   of the resulting two integers.
   Use GDB commands file (traceCmds.gdb) to generate a trace
*/

#include <stdio.h>
#include <stdlib.h>


int squared(int x)       
{ return x*x; }
 
int modulo(int x, int y) 
{ return x%y; }

int plus(int x, int y)   
{ return x+y; }


int main(int argc, char *argv[]) 
{
  if (argc != 3) {
    printf("Usage: lcm <num> <num>\n");
    return 1;
  }

  int x = atoi(argv[1]);
  int y = atoi(argv[2]);
  int x2 = squared(x);
  int y2 = squared(y);

  int lcm = y2;
  while (modulo(lcm,x2) != 0) 
    lcm = plus(lcm,y2);

  printf("LCM is %d\n", lcm);
}
