
// max.c
/* https://www.cs.swarthmore.edu/~newhall/unixhelp/howto_gdb.php
   A bug in findMax()
*/
 
#include <stdio.h>
#include <stdlib.h>
#include <string.h>


int findMax(int *arr, int len, int max) 
/* find the largest element in the array and
    "return" it through max  */
{
  if(!arr || (len <= 0)) 
    return -1; 

  max = arr[0];
  for(int i=1; i <= len; i++) {
    if(max < arr[i]) 
      max = arr[i];
  }
  return 0;
}  // end of findMax()


void printArr(int a[], int size)
{
  printf("{");
  for (int i=0; i < size; i++)
     printf(" %d", a[i]);
  printf(" }\n");
}


int main(void) 
{
  int a[5] = {17, 21, 44, 2, 60};
  int max = a[0];

  printf("Array: ");
  printArr(a, 5);

  if (findMax(a, 5, max) == -1)
    printf("Error\n");
  else
    printf("Max value: %d\n", max);
  return 0;
}
