#!/bin/bash
# ggcc.sh
# Andrew Davison, ad@fivedots.coe.psu.ac.th, Feb 2020

if [ ${1: -2} != ".c" ]; then
  echo "$1 is not a C file"
  exit 1
fi

name=${1%.*}
echo "Compiling $1 to $name with gdb info"
gcc -std=c99 -ggdb3 -O0 -o "$name" "$1"

