
// negfact.c
// Andrew Davison, ad@fivedots.coe.psu.ac.th, Feb 2020
/* A version of factorial which goes into
   an infinite loop when given a negative number.
*/

#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]) 
{
  if(argc <= 1) {
    printf("Usage: ./negfact <integer>\n");
    exit(1);
  } 
  int num = atoi(argv[1]);

  int fac = 1;
  while (num != 0) {
    fac = fac * num;
    num--;
  }
  printf("Factorial: %d\n", fac);
  return 0;
}
